MEMORY {
    SRAM (rwx) : ORIGIN = 0x20000000, LENGTH = 1024
    DRAM (rwx) : ORIGIN = 0x80000000, LENGTH = 1024
}

SECTIONS {
    .text : {
        *(.text)
    } > SRAM
    .data : {
        *(.data)
    } > DRAM AT > SRAM
    .bss : {
        *(.bss)
    } > DRAM
}
